////////////////////////////////////////////////////////////////////////////
// CTaEditHScroll クラスのインタフェース宣言
//
////////////////////////////////////////////////////////////////////////////

#if !defined( TAEDITHSCROLL_H_INCLUDED_ )
#define TAEDITHSCROLL_H_INCLUDED_

#include "output/gui.h"

#include "TaEdit_std.h"

#include "TaEditDraw.h"
#include "ScrollMgr.h"

class CTaEditHScroll :
	public CHScroll,
	public CScrollMgr
{
public:
	CTaEditHScroll();
	~CTaEditHScroll();

	void OnCreate( Widget argWgt, XtPointer user_data );
	void OnDecrement( Widget argWgt, XtPointer user_data );
	void OnIncrement( Widget argWgt, XtPointer user_data );
	void OnPageDown( Widget argWgt, XtPointer user_data );
	void OnPageUp( Widget argWgt, XtPointer user_data );
	void OnDrag( Widget argWgt, XtPointer user_data );
	void ToBottom( Widget argWgt, XtPointer user_data );
	void ToTop( Widget argWgt, XtPointer user_data );
	void OnChangeValue( Widget argWgt, XtPointer user_data );
};

#endif // TAEDITHSCROLL_H_INCLUDED_

